| Home | Libraries | People | FAQ | More

## Function mismatch

boost::compute::mismatch

## Synopsis

    // In header: <boost/compute/algorithm/mismatch.hpp>

    template<typename InputIterator1, typename InputIterator2>
      std::pair< InputIterator1, InputIterator2 >
      mismatch(InputIterator1 first1, InputIterator1 last1, InputIterator2 first2,
               command_queue & queue = system::default_queue());
    template<typename InputIterator1, typename InputIterator2>
      std::pair< InputIterator1, InputIterator2 >
      mismatch(InputIterator1 first1, InputIterator1 last1, InputIterator2 first2,
               InputIterator2 last2,
               command_queue & queue = system::default_queue());

## Description

Returns a pair of iterators pointing to the first position where the range [`first1`, `last1`) and the range starting at `first2` differ.